/* Traits for different spaces
 */

#include "spaceTraits.hh"
#include "vectorial/vectorial.hh"

namespace graphics {

  // ********************************************************** Space traits **

  uint spaceTraits<vectorial::Space<concepts::Real> >::dim_ = 2;
  bool spaceTraits<vectorial::Space<concepts::Real> >::posCon_ = false;
  bool spaceTraits<vectorial::Space<concepts::Real> >::bem_ = false;

} // namespace graphics
