/** @file hp2D/testsuite/spaceTest.hh Testsuite for 2D hp-FEM space.
    @author Philipp Frauenfelder, 2004
*/

#ifndef spaceTest2D_hh
#define spaceTest2D_hh

#include "basics/testcase.hh"

using concepts::Real;

namespace test {

  /** Tests building and copying hp2D::Space
      @author Philipp Frauenfelder, 2004
   */
  class SpaceTest2D : public TestCase {
  public:
    SpaceTest2D() {}
    virtual ~SpaceTest2D() {}
    virtual void run();

    /// @name Test routines
    //@{
    /// Tests building a space
    void testBuild();
    /// Tests copying a space
    void testCopy();
    //@}
  private:
  };

} // namespace test

#endif // spaceTest2D_hh
