/* testsuite for 3D cells with geometric deadlock
 * create space
 */

#ifndef deadlock2_hh
#define deadlock2_hh

#include "basics/testcase.hh"

namespace test {

  /** Testing work around geometric deadlock problem.
      Second part: build space on non-matchingly refined mesh.
      @author Philipp Frauenfelder, 2004
   */
  class DeadLock2 : public TestCase {
  public:
    virtual ~DeadLock2() {}
    virtual void run();

    /// @name Test routines
    //@{
    /// Tests space
    void testSpace();
    //}@
  };

} // namespace test

#endif // deadlock2_hh
