/* debuggin support
 */

#include "debug.hh"

namespace concepts {

#ifdef DEBUG
#define FILE_LENGTH 30
  static char DEBUG_FILE[FILE_LENGTH+2];

  char* shorten(const char* FILE) {
    uint n = 0;
    uint length = FILE_LENGTH;
    if (std::strlen(FILE) < length)
      length = std::strlen(FILE);
    else {
      std::strncpy(DEBUG_FILE, "...", 3);
      n = 3;
    }
    std::strncpy(DEBUG_FILE+n, FILE + std::strlen(FILE) - length + n,
		 length-n);
    DEBUG_FILE[length+1] = '\0';
    return DEBUG_FILE;
  }
#endif

}
