// testing some exceptions

#ifndef testExc_hh
#define testExc_hh

#include "basics/testcase.hh"

namespace test {

  /** Testing some exceptions.
      @author Philipp Frauenfelder, 2003
  */
  class ExceptionTest : public TestCase {
  public:
    virtual ~ExceptionTest() {}
    virtual void run();

    /// @name Test routines
    //@{
    /// Tests concepts::Assertion and conceptsAssert
    void testAssert();
    /// Tests concepts::ExceptionBase
    void testBase();
    /// Tests concepts::MissingFeature
    void testMissingFeature();
    //@}
  };

} // namespace test

#endif // testExc_hh
