#ifndef edgeInfoTest_hh
#define edgeInfoTest_hh

#include "basics/testcase.hh"

namespace linDG2D {
  class EdgeInfo;
}

namespace test {

  /** Testing linDG2D::EdgeInfo
      @author Christoph Winkelmann
  */
  class DGEdgeInfoTest : public TestCase {
  public:
    virtual ~DGEdgeInfoTest() {}
    virtual void run();

    /// @name Test routines
    //@{
    void testLength(linDG2D::EdgeInfo* ei);
    void testNormal(linDG2D::EdgeInfo* ei);
    void testShapeFct(linDG2D::EdgeInfo* ei);
    void testVertices(linDG2D::EdgeInfo* ei);
    void testMeanHeight(linDG2D::EdgeInfo* ei);
    //@}
  };

} // namespace test

#endif // edgeInfoTest_hh
