// include files for the vectorial subdirectory

#ifndef vectorial_hh
#define vectorial_hh

#include "vectorial/vectorial.hh"
#include "vectorial/linearForm.hh"
#include "vectorial/linearFormHelper.hh"
#include "vectorial/blockOperator.hh"
#include "vectorial/timeLinearForm.hh"
#include "vectorial/elementPairListIdentic.hh"
#include "vectorial/cgUzawa.hh"
#include "vectorial/cgUzawaFabric.hh"
#include "vectorial/bramblePasciak.hh"
#include "vectorial/bramblePasciakFabric.hh"


/** Vector valued problems. The classes in this namespace are meant
    as a wrapper around scalar classes to solve vector valued problems.
    @author Kersten Schmidt, 2002
*/
namespace vectorial {
  // leave this empty, just for documentation
}

#endif // vectorial_hh
